Downgrading OS and Libraries

Discussion in 'Mac Apps and Mac App Store' started by trevolly, Feb 24, 2015.

  1. trevolly macrumors member

    Joined:
    Aug 25, 2009
    #1
    Hi all,

    I was wondering if anyone can offer any help. I am having major issues with Yosemite and my wifi dropping off randomly. It ahows its still connected on my iMac but any program with an internet use just fails and says I'm not connected to the internet. I've read online that there are some issues with wifi and Yosemite. I do understand that thousands and thousands of people are fine on Yosemite, I'm not slagging it off......

    It's got to the point where I'm looking at downgrading to the iMacs original OS (Mavericks). The only thing I'm worried about is are my existing iTunes and iPhoto libraries going to be compatible? (Ive seen quite a few times you start either and they say the library cant be loaded due to being made / created on a newer version of iPhoto / iTunes).

    My iTunes program is at 12.1.0.50 and iPhoto is at 9.6 (910.29) and I was wondering if Mavericks iTunes and iPhoto goes to this level?

    I'd appreciate any help.

    :)
     
  2. Bruno09 macrumors 68020

    Joined:
    Aug 24, 2013
    Location:
    Far from here
    #2
    Hi,

    no problem for iTunes (12.1.0.50 runs on Mavericks too).

    iPhoto 9.6 is Yosemite only, while Mavericks uses 9.5.

    You won't be able to open your iPhoto Library 9.6 on Mavericks....

    (iPhoto Library Manager can "downgrade" an iPhoto Library).
     
  3. trevolly thread starter macrumors member

    Joined:
    Aug 25, 2009

Share This Page